commit:     08fdf30f48575d267f6c4b12ad374d3ca458841f
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  3 18:57:17 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun Mar  3 18:58:43 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=08fdf30f

Revert "dev-libs/libressl: drop old versions"

This reverts commit 902c00d3c38c83063234ed7c0e9f5d527325951b.

-dev-python/pypy-bin: needs updated patches to work with libressl 2.8.3
-dev-lua/lua-openssl: needs updaed patches to work with libressl 2.8.3

Remove the version restraint on both packages once done

Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 dev-libs/libressl/Manifest              |  2 ++
 dev-libs/libressl/libressl-2.6.5.ebuild | 56 +++++++++++++++++++++++++++++++++
 dev-libs/libressl/libressl-2.7.5.ebuild | 53 +++++++++++++++++++++++++++++++
 3 files changed, 111 insertions(+)

diff --git a/dev-libs/libressl/Manifest b/dev-libs/libressl/Manifest
index bb40a692e6c..4f5caa7d95b 100644
--- a/dev-libs/libressl/Manifest
+++ b/dev-libs/libressl/Manifest
@@ -1,2 +1,4 @@
+DIST libressl-2.6.5.tar.gz 3225481 BLAKE2B 
fcdf0d8b4b68fdb6c17299f4b9897c84f51ec3407abc6c1bf8d474c4424161c563667ca1fb26c45dd20a0e895457e9210b7bd0539581472b94d594cc32a68191
 SHA512 
0601c73bb5c3d149df7eca3566831f1b35713aa16a15788a291922fce0bffa1ba0bc6ea9cac1fcecfd980009f2292b08b2a57d66b517fc1bc8c7364a24dbbd9d
+DIST libressl-2.7.5.tar.gz 3539591 BLAKE2B 
0cda7307f01cea21584b3e814a20053ab128016f0b639856eb04b52f91156c74b8fdba485401e099f472ae7d9a35e9be54d169e3ddf743540595c2ffa0f979ff
 SHA512 
00828dd115f6395186ce4c9cadb604612763f67f2ad2236a331062add8115f6494a655cbec237ae069e373ffb915ed4025c993e06456c3da69b279e5f7e2b8d4
 DIST libressl-2.8.3.tar.gz 3366196 BLAKE2B 
e32c097b31998d68a31266fbbf3624d5ab8ca716f8c53e423bcf09b3a8ab3542c92a99e259ded7b86f99b45cc199cd44791520a609f18c35d150365de5768eec
 SHA512 
3967e08b3dc2277bf77057ea1f11148df7f96a2203cd21cf841902f2a1ec11320384a001d01fa58154d35612f7981bf89d5b1a60a2387713d5657677f76cc682
 DIST libressl-2.9.0.tar.gz 3400383 BLAKE2B 
652ac9ff962fd187563f2f6f9ea423d682f743c8443954ad3a8adc810530711482705f0cac1a805e2f85697ed1fed156c80da913dc07c8c13cd6ce78e44b6c4d
 SHA512 
db7fec664bef8d76204ca691c11df236abce3c85b2a51011eec5bd302e273b62fa3cfce0430980915c3f3ce34176d5ef9c187902f0b39d7fc151e69e552b499c

diff --git a/dev-libs/libressl/libressl-2.6.5.ebuild 
b/dev-libs/libressl/libressl-2.6.5.ebuild
new file mode 100644
index 00000000000..d4870428f99
--- /dev/null
+++ b/dev-libs/libressl/libressl-2.6.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/";
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz";
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so.  Since these can differ,
+# we'll try to use the max of either.  However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/44"
+KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86"
+IUSE="+asm static-libs test"
+REQUIRED_USE="test? ( static-libs )"
+
+RDEPEND="!dev-libs/openssl:0"
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+PATCHES=( "${FILESDIR}/libressl-2.6.4-hppa-asm.patch" )
+
+src_prepare() {
+       touch crypto/Makefile.in
+
+       sed -i \
+               -e '/^[ \t]*CFLAGS=/s#-g ##' \
+               -e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+               -e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+               configure || die "fixing CFLAGS failed"
+
+       default
+       eautoreconf
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable asm) \
+               $(use_enable static-libs static)
+}
+
+multilib_src_test() {
+       emake check
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${D}" -name '*.la' -exec rm -f {} + || die
+}

diff --git a/dev-libs/libressl/libressl-2.7.5.ebuild 
b/dev-libs/libressl/libressl-2.7.5.ebuild
new file mode 100644
index 00000000000..288540105ec
--- /dev/null
+++ b/dev-libs/libressl/libressl-2.7.5.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib-minimal
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="https://www.libressl.org/";
+SRC_URI="https://ftp.openbsd.org/pub/OpenBSD/LibreSSL/${P}.tar.gz";
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so.  Since these can differ,
+# we'll try to use the max of either.  However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/45"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86"
+IUSE="+asm static-libs test"
+REQUIRED_USE="test? ( static-libs )"
+
+RDEPEND="!dev-libs/openssl:0"
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+src_prepare() {
+       touch crypto/Makefile.in
+
+       sed -i \
+               -e '/^[ \t]*CFLAGS=/s#-g ##' \
+               -e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+               -e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+               -e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+               configure || die "fixing CFLAGS failed"
+
+       eapply_user
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable asm) \
+               $(use_enable static-libs static)
+}
+
+multilib_src_test() {
+       emake check
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${D}" -name '*.la' -exec rm -f {} + || die
+}

Reply via email to